import '/components/permission_list_widget.dart';
import '/flutterlib/flutter_theme.dart';
import '/flutterlib/flutter_util.dart';
import 'permission_list_container1_widget.dart'
    show PermissionListContainer1Widget;
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:provider/provider.dart';

class PermissionListContainer1Model
    extends FlutterModel<PermissionListContainer1Widget> {
  ///  Local state fields for this component.

  List<int> getPermissionsList = [];
  void addToGetPermissionsList(int item) => getPermissionsList.add(item);
  void removeFromGetPermissionsList(int item) =>
      getPermissionsList.remove(item);
  void removeAtIndexFromGetPermissionsList(int index) =>
      getPermissionsList.removeAt(index);
  void insertAtIndexInGetPermissionsList(int index, int item) =>
      getPermissionsList.insert(index, item);
  void updateGetPermissionsListAtIndex(int index, Function(int) updateFn) =>
      getPermissionsList[index] = updateFn(getPermissionsList[index]);

  ///  State fields for stateful widgets in this component.

  // Model for PermissionList component.
  late PermissionListModel permissionListModel;

  /// Initialization and disposal methods.

  void initState(BuildContext context) {
    permissionListModel = createModel(context, () => PermissionListModel());
  }

  void dispose() {
    permissionListModel.dispose();
  }

  /// Action blocks are added here.

  /// Additional helper methods are added here.
}
